Account Trades
GET /api/v3/accounts/trades
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| pair | string | pair symbol like BTC_USDT |
| side | string | BUY or SELL |
| start_time | integer | Unix timestamp, filter from (>=) |
| end_time | integer | Unix timestamp, filter to (<) |
| limit | integer | limit of records (default 100, max 100) |
private_api.accounts().trades('ETH_USDT')
Response
[{
"id": 293107798,
"pair": "BTC_USDT",
"side": "BUY",
"price": 45000.0,
"amount": 1.0,
"fee": 0.005,
"timestamp": 1630862400.0,
"order_id": 123456
}, ...]
Response Fields
| Field | Type | Description |
|---|---|---|
| id | integer | match/trade ID |
| pair | string | pair symbol |
| side | string | BUY or SELL |
| price | float | trade price |
| amount | float | trade amount |
| fee | float | fee amount charged |
| timestamp | float | Unix timestamp (with microsecond precision) |
| order_id | integer | the order ID that was filled |